#target photoshop
//Фильтры - Стилизация - Тиснение
function cust_embossing(ange,str,height){
var idEmbs = charIDToTypeID( "Embs" );
    var desc17 = new ActionDescriptor();
    var idAngl = charIDToTypeID( "Angl" );
    desc17.putInteger( idAngl, ange ); // Угол 
    var idHght = charIDToTypeID( "Hght" );
    desc17.putInteger( idHght, str ); // Велечина тиснения
    var idAmnt = charIDToTypeID( "Amnt" );
    desc17.putInteger( idAmnt, height ); // Сила
executeAction( idEmbs, desc17, DialogModes.NO );
}

//Фильтры - Стилизация - Выделение краев
function cust_select_edge(){
	var idFndE = charIDToTypeID( "FndE" );
executeAction( idFndE, undefined, DialogModes.NO );
}

//Фильтры - Другое - Цветовой контраст
function high_pass_f(volume){
	var idHghP = charIDToTypeID( "HghP" );
    var desc22 = new ActionDescriptor();
    var idRds = charIDToTypeID( "Rds " );
    var idPxl = charIDToTypeID( "#Pxl" );
    desc22.putUnitDouble( idRds, idPxl, volume );
executeAction( idHghP, desc22, DialogModes.NO );
}

//Фильтры - Размытие - Размытие по поверхности
function surface_blur(str, sav){
    var idsurfaceBlur = stringIDToTypeID( "surfaceBlur" );
    var desc5 = new ActionDescriptor();
    var idRds = charIDToTypeID( "Rds " );
    var idPxl = charIDToTypeID( "#Pxl" );
    desc5.putUnitDouble( idRds, idPxl, str );
    var idThsh = charIDToTypeID( "Thsh" );
    desc5.putInteger( idThsh, sav );
executeAction( idsurfaceBlur, desc5, DialogModes.NO );
}

//Фильтры - галлерея фильтров - Мокрая буага

function water_paper(){
    var idGEfc = charIDToTypeID( "GEfc" );
    var desc396 = new ActionDescriptor();
    var idGEfk = charIDToTypeID( "GEfk" );
    var idGEft = charIDToTypeID( "GEft" );
    var idWtrP = charIDToTypeID( "WtrP" );
    desc396.putEnumerated( idGEfk, idGEft, idWtrP );
    var idFbrL = charIDToTypeID( "FbrL" );
    desc396.putInteger( idFbrL, 50 );
    var idBrgh = charIDToTypeID( "Brgh" );
    desc396.putInteger( idBrgh, 100 );
    var idCntr = charIDToTypeID( "Cntr" );
    desc396.putInteger( idCntr, 0 );
executeAction( idGEfc, desc396, DialogModes.NO );
}

//Фильтры - галерия фильтров - Ксерокопия
function cserocopion(str, dark){
    var idGEfc = charIDToTypeID( "GEfc" );
    var desc453 = new ActionDescriptor();
    var idGEfk = charIDToTypeID( "GEfk" );
    var idGEft = charIDToTypeID( "GEft" );
    var idPhtc = charIDToTypeID( "Phtc" );
    desc453.putEnumerated( idGEfk, idGEft, idPhtc );
    var idDtl = charIDToTypeID( "Dtl " );
    desc453.putInteger( idDtl, str );
    var idDrkn = charIDToTypeID( "Drkn" );
    desc453.putInteger( idDrkn, dark);
executeAction( idGEfc, desc453, DialogModes.NO );

}

function light_edge_hand(){
    var idGEfc = charIDToTypeID( "GEfc" );
    var desc482 = new ActionDescriptor();
    var idGEfk = charIDToTypeID( "GEfk" );
    var idGEft = charIDToTypeID( "GEft" );
    var idGlwE = charIDToTypeID( "GlwE" );
    desc482.putEnumerated( idGEfk, idGEft, idGlwE );
    var idEdgW = charIDToTypeID( "EdgW" );
    desc482.putInteger( idEdgW, 1 );
    var idEdgB = charIDToTypeID( "EdgB" );
    desc482.putInteger( idEdgB, 20 );
    var idSmth = charIDToTypeID( "Smth" );
    desc482.putInteger( idSmth, 3 );
executeAction( idGEfc, desc482, DialogModes.NO );
}

function gaussian_blur(str){
    var idGsnB = charIDToTypeID( "GsnB" );
    var desc56 = new ActionDescriptor();
    var idRds = charIDToTypeID( "Rds " );
    var idPxl = charIDToTypeID( "#Pxl" );
    desc56.putUnitDouble( idRds, idPxl, str );
executeAction( idGsnB, desc56, DialogModes.NO );
}

//Размытие при малой резкости глубины
function special_blur(blur,light_edge,save){
    var idBokh = charIDToTypeID( "Bokh" );
    var desc335 = new ActionDescriptor();
    var idBkDi = charIDToTypeID( "BkDi" );
    var idBtDi = charIDToTypeID( "BtDi" );
    var idBeIn = charIDToTypeID( "BeIn" );
    desc335.putEnumerated( idBkDi, idBtDi, idBeIn );
    var idBkDp = charIDToTypeID( "BkDp" );
    desc335.putInteger( idBkDp, 0 );
    var idBkDs = charIDToTypeID( "BkDs" );
    desc335.putBoolean( idBkDs, false );
    var idBkIs = charIDToTypeID( "BkIs" );
    var idBtIs = charIDToTypeID( "BtIs" );
    var idBeSsix = charIDToTypeID( "BeS6" );
    desc335.putEnumerated( idBkIs, idBtIs, idBeSsix );
    var idBkIb = charIDToTypeID( "BkIb" );
    desc335.putDouble( idBkIb, blur );
    var idBkIc = charIDToTypeID( "BkIc" );
    desc335.putInteger( idBkIc, 0 );
    var idBkIr = charIDToTypeID( "BkIr" );
    desc335.putInteger( idBkIr, 0 );
    var idBkSb = charIDToTypeID( "BkSb" );
    desc335.putDouble( idBkSb, light_edge );
    var idBkSt = charIDToTypeID( "BkSt" );
    desc335.putInteger( idBkSt, save);
    var idBkNa = charIDToTypeID( "BkNa" );
    desc335.putInteger( idBkNa, 0 );
    var idBkNt = charIDToTypeID( "BkNt" );
    var idBtNt = charIDToTypeID( "BtNt" );
    var idBeNu = charIDToTypeID( "BeNu" );
    desc335.putEnumerated( idBkNt, idBtNt, idBeNu );
    var idBkNm = charIDToTypeID( "BkNm" );
    desc335.putBoolean( idBkNm, false );
executeAction( idBokh, desc335, DialogModes.NO );

}

// Галлерия фильтров - диффузия
function diffusion(metod){
    //metods - anisotropic
    var idDfs = charIDToTypeID( "Dfs " );
    var desc3 = new ActionDescriptor();
    var idMd = charIDToTypeID( "Md  " );
    var idDfsM = charIDToTypeID( "DfsM" );
    var idanisotropic = stringIDToTypeID( metod );
    desc3.putEnumerated( idMd, idDfsM, idanisotropic );
    var idFlRs = charIDToTypeID( "FlRs" );
    desc3.putInteger( idFlRs, 725962 );
executeAction( idDfs, desc3, DialogModes.NO );
}

// Галерея фильтров - очертанные края
function selected_edges(volume,power,post){
    var idGEfc = charIDToTypeID( "GEfc" );
    var desc2 = new ActionDescriptor();
    var idGEfk = charIDToTypeID( "GEfk" );
    var idGEft = charIDToTypeID( "GEft" );
    var idPstE = charIDToTypeID( "PstE" );
    desc2.putEnumerated( idGEfk, idGEft, idPstE );
    var idEdgT = charIDToTypeID( "EdgT" );
    desc2.putInteger( idEdgT, volume ); //Толщина
    var idEdgI = charIDToTypeID( "EdgI" );
    desc2.putInteger( idEdgI, power ); // интенсивность
    var idPstr = charIDToTypeID( "Pstr" );
    desc2.putInteger( idPstr, post ); //Постеризация
executeAction( idGEfc, desc2, DialogModes.NO );
}

//Галерея фильтров - стилизация - выделение краев
function select_style_edge(){
 var idFndE = charIDToTypeID( "FndE" );
executeAction( idFndE, undefined, DialogModes.NO );   
}